Page MenuHomePhabricator

[asan] Added -fsanitize-address-use-after-scope flag
ClosedPublic

Authored by vitalybuka on May 27 2016, 4:14 PM.

Details

Summary

Also emit lifetime markers for -fsanitize-address-use-after-scope.
Asan uses life-time markers for use-after-scope check.

PR27453

Diff Detail

Repository
rL LLVM

Event Timeline

vitalybuka updated this revision to Diff 58860.May 27 2016, 4:14 PM
vitalybuka retitled this revision from to Emit lifetime markers for asan builds.
vitalybuka updated this object.
vitalybuka added reviewers: kcc, eugenis, aizatsky.
vitalybuka added a subscriber: llvm-commits.
vitalybuka updated this revision to Diff 58864.May 27 2016, 4:36 PM

Updated test

vitalybuka updated this revision to Diff 58865.May 27 2016, 4:39 PM

Update test

vitalybuka updated this revision to Diff 58866.May 27 2016, 4:40 PM

Updated title

vitalybuka retitled this revision from Emit lifetime markers for asan builds to [asan] Emit lifetime markers for asan builds.May 27 2016, 4:40 PM
vitalybuka retitled this revision from [asan] Emit lifetime markers for asan builds to [asan] Added -fsanitize-address-use-after-scope flag.
vitalybuka updated this object.
eugenis accepted this revision.May 31 2016, 11:37 AM
eugenis edited edge metadata.

LGTM w/ nit

test/Driver/fsanitize.c
109 ↗(On Diff #58866)

Please add a negative test (asan w/o use-after-scope does not add the cc1 flag).

This revision is now accepted and ready to land.May 31 2016, 11:37 AM
vitalybuka updated this revision to Diff 59317.Jun 1 2016, 5:28 PM
vitalybuka edited edge metadata.

Added test

vitalybuka marked an inline comment as done.Jun 1 2016, 5:29 PM

Done

This revision was automatically updated to reflect the committed changes.